#!/usr/bin/env python

# birne
#
# Copyright 2005 Jochen Schulz <jrschulz@well-adjusted.de>. All Rights
# Reserved.
#
# A lot of code has been taken from 'python burn', a script by Gaetano Paolone
# <bigpaul at hacknight.org>. See http://www.bigpaul.org/burn/ for the original
# sources.
#
# This program is free software; you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free Software
# Foundation; either version 2 of the License, or (at your option) any later
# version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
# details.
#
# You should have received a copy of the GNU General Public License along with
# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
# Place - Suite 330, Boston, MA  02111-1307, USA.
#


## ----------------------------------------------------------------------

# python birne version
version = "0.1.0"

#Disclaimer
"""
I DISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING ALL
IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT SHALL I
BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY
DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS
SOFTWARE.
"""


import imp
try:
    imp.find_module("gtkmvc")
except ImportError, er:
    import sys
    import os.path
    sys.path.append(os.path.abspath('../'))
    print "Warning: module gtkmvc not installed, using local package..."
    imp.find_module("gtkmvc")

from birne_model import BirneModel
from birne_ctrl  import BirneController
from birne_view  import BirneView

from birne_ctrl  import BirneSelectorController
from birne_view  import BirneSelectorView

import gtk

def main():
    # main window
    model = BirneModel()
    ctrl  = BirneController(model)
    view  = BirneView(ctrl)

    # Starts the GTK toolkit:
    gtk.gdk.threads_init()
    gtk.main()
    return

if __name__ == '__main__':
    main()

# vim: expandtab ts=4
